/* mod-syscall-xtimefun-test.c
 *
 * Call the new xtimefun module system call to return xtime.tv_sec.
 * Use the existing unused system call futex 240.
 *
 */

/* Standard include files for syscall, see man syscall */
#include <syscall.h>         /* for syscall */
#include <asm/unistd.h>
#include <stdio.h>               /* for printf */
#include <sys/time.h>            /* for struct timeval */

int main(void)
{
  struct timeval now;

  printf("Hello, calling module xtimefun as futex 240 system call\n");
  now = syscall(__NR_futex);        
  printf("mod_syscall_xtimefun returned now.tv_sec: %ld  now.tv_usec %ld\n",now.tv_sec, now.tv_usec);

  printf("Done. Go check /var/log/syslog\n");
  return 0;
}
