/* syscall.c
 *
 * Simple system call to printk and return. Hard coded into the kernel.
 *
 */

/* kernel programming */
#ifndef LINUX
#define LINUX
#endif

#ifndef __KERNEL__
#define __KERNEL__
#endif

#include <linux/kernel.h>      /* for KERN_ALERT */

/* Prototypes */
asmlinkage void my_syscall(void);

/*
 * My new system call
 */

asmlinkage void my_syscall(void)
{
  /* The following messages appear in /var/log/syslog */
  printk(KERN_ALERT "my_syscall: entering. \n");
  printk(KERN_ALERT "my_syscall: leaving. \n");
}
