/* syscall-hello-test.c  */

/* I'm using the futux system call
 *
 * syscall  is in    /usr/src/linux/arch/i386/kernel/entry.S
 * __NR_futex is in  <asm/unistd.h>
 *
 * The new kernel function my_syscall-hello must be compiled
 * as an object module in the kernel tree. Also the sys_call_table
 * must be changed so that the __NR_futex entry becomes
 * the my_syscall-hello entry.
 */

/* Standard include files for syscall. See man syscall */
#include <sys/syscall.h>   /* where is this include file? */
#include <asm/unistd.h>


int main(void)
{ printf("Hello, calling my-syscall-hello \n");
  syscall(__NR_futex); 
  printf("done. Go check /var/log/messages\n");
  return 0;
}
