/* mod-syscall-xtimefun-test.c
 *
 * Call the new xtimefun module system call to return xtime.tv_sec.
 * Use the existing unused system call futex 240.
 *
 */

/* Standard include files for syscall, see man syscall */
#include <syscall.h>         /* for syscall */
#include <asm/unistd.h>
#include <stdio.h>               /* for printf */

int main(void)
{
  long time;

  printf("Hello, calling module xtimefun as futex 240 system call\n");
  time = syscall(__NR_futex);        
  printf("mod_syscall_xtimefun returned xtime.tv_sec: %ld\n",time);

  printf("Done. Go check /var/log/syslog\n");
  return 0;
}
